Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 3d2bf71da0b60faa35034580dc4fd53948f63f53)
+++ testsuites/sptests/ChangeLog	(revision 6a5990e4fd014c4b94b38d8e59720ac3dbe8b5b8)
@@ -1,2 +1,8 @@
+2007-10-18	Glenn Humphrey <glenn.humphrey@OARcorp.com>
+
+	* sp09/screen06.c, sp09/screen14.c, sp13/sp13.scn, sp13/task1.c,
+	sp16/sp16.scn: Corrected some minor mistakes and regenerated some
+	.scn files.
+
 2007-10-10	Glenn Humphrey <glenn.humphrey@OARcorp.com>
 
Index: testsuites/sptests/sp09/screen06.c
===================================================================
--- testsuites/sptests/sp09/screen06.c	(revision 3d2bf71da0b60faa35034580dc4fd53948f63f53)
+++ testsuites/sptests/sp09/screen06.c	(revision 6a5990e4fd014c4b94b38d8e59720ac3dbe8b5b8)
@@ -122,3 +122,5 @@
     "rtems_task_delete after the task has been deleted"
   );
+
+  puts( "TA1 - rtems_task_delete TA2 - already deleted RTEMS_INVALID_ID" );
 }
Index: testsuites/sptests/sp09/screen14.c
===================================================================
--- testsuites/sptests/sp09/screen14.c	(revision 3d2bf71da0b60faa35034580dc4fd53948f63f53)
+++ testsuites/sptests/sp09/screen14.c	(revision 6a5990e4fd014c4b94b38d8e59720ac3dbe8b5b8)
@@ -136,5 +136,5 @@
 
   status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_set" );
+  directive_failed( status, "rtems_clock_get" );
   print_time( "TA1 - rtems_clock_get       - ", &time, "\n" );
 
@@ -228,5 +228,5 @@
 
   status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_set" );
+  directive_failed( status, "rtems_clock_get" );
   print_time( "TA1 - rtems_clock_get       - ", &time, "\n" );
 
Index: testsuites/sptests/sp13/sp13.scn
===================================================================
--- testsuites/sptests/sp13/sp13.scn	(revision 3d2bf71da0b60faa35034580dc4fd53948f63f53)
+++ testsuites/sptests/sp13/sp13.scn	(revision 6a5990e4fd014c4b94b38d8e59720ac3dbe8b5b8)
@@ -1,4 +1,4 @@
 *** TEST 13 ***
-TA1 - rtems_message_queue_ident - qid => 1c010001
+TA1 - rtems_message_queue_ident - qid => 22010001
 TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1
 TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1
@@ -53,5 +53,5 @@
 TA1 - rtems_message_queue_urgent - BUFFER 3 TO Q 2
 TA1 - rtems_message_queue_delete - delete queue 2
-TA1 - rtems_message_queue_get_number_pending - SUCCESSFUL
+TA1 - rtems_message_queue_get_number_pending - check Q 3
 TA1 - 0 messages are pending on Q 3
 TA1 - rtems_message_queue_flush - empty Q 3
@@ -59,7 +59,7 @@
 TA1 - rtems_message_queue_send - BUFFER 1 TO Q 3
 TA1 - rtems_message_queue_send - BUFFER 2 TO Q 3
-TA3 - rtems_message_queue_broadcast - NO BUFFER TO Q1
-TA3 - number of tasks awakened = 0
-TA1 - rtems_message_queue_get_number_pending - SUCCESSFUL
+TA1 - rtems_message_queue_broadcast - NO BUFFER TO Q1
+TA1 - number of tasks awakened = 0
+TA1 - rtems_message_queue_get_number_pending - check Q 3
 TA1 - 2 messages are pending on Q 3
 TA1 - rtems_message_queue_send - BUFFER 3 TO Q 3
@@ -70,8 +70,8 @@
 TA1 - rtems_message_queue_flush - Q 3
 TA1 - 100 messages were flushed from Q 3
-<pause> 
+<pause>
 TA1 - create message queue of 20 bytes on queue 1
 TA1 - rtems_message_queue_delete - delete queue 1
-<pause> 
+<pause>
 TA1 - rtems_message_queue_create - variable sizes 
 TA1 - rtems_message_queue_create and send - variable sizes 
Index: testsuites/sptests/sp13/task1.c
===================================================================
--- testsuites/sptests/sp13/task1.c	(revision 3d2bf71da0b60faa35034580dc4fd53948f63f53)
+++ testsuites/sptests/sp13/task1.c	(revision 6a5990e4fd014c4b94b38d8e59720ac3dbe8b5b8)
@@ -196,10 +196,12 @@
   directive_failed( status, "rtems_message_queue_delete" );
 
-  puts( "TA1 - rtems_message_queue_get_number_pending - SUCCESSFUL\n" );
+  puts( "TA1 - rtems_message_queue_get_number_pending - check Q 3" );
   status = rtems_message_queue_get_number_pending( Queue_id[ 3 ], &count );
+  directive_failed( status, "rtems_message_queue_get_number_pending" );
   printf( "TA1 - %d messages are pending on Q 3\n", count );
 
   puts( "TA1 - rtems_message_queue_flush - empty Q 3" );
   status = rtems_message_queue_flush( Queue_id[ 3 ], &count );
+  directive_failed( status, "rtems_message_queue_flush" );
   printf( "TA1 - %d messages were flushed from Q 3\n", count );
 
@@ -216,5 +218,5 @@
   /* this broadcast should have no effect on the queue */
   Fill_buffer( "NO BUFFER TO Q1", (long *)buffer );
-  puts( "TA3 - rtems_message_queue_broadcast - NO BUFFER TO Q1" );
+  puts( "TA1 - rtems_message_queue_broadcast - NO BUFFER TO Q1" );
   status = rtems_message_queue_broadcast(
     Queue_id[ 1 ],
@@ -223,9 +225,9 @@
     &count
   );
-  printf( "TA3 - number of tasks awakened = %d\n", count );
-
-
-  puts( "TA1 - rtems_message_queue_get_number_pending - SUCCESSFUL\n" );
+  printf( "TA1 - number of tasks awakened = %d\n", count );
+
+  puts( "TA1 - rtems_message_queue_get_number_pending - check Q 3" );
   status = rtems_message_queue_get_number_pending( Queue_id[ 3 ], &count );
+  directive_failed( status, "rtems_message_queue_get_number_pending" );
   printf( "TA1 - %d messages are pending on Q 3\n", count );
 
@@ -262,5 +264,5 @@
   );
   directive_failed( status, "rtems_message_queue_create of Q1; 20 bytes each" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], big_send_buffer, 40 );
+  status = rtems_message_queue_send( Queue_id[ 1 ], big_send_buffer, 40 );
   fatal_directive_status(status, RTEMS_INVALID_SIZE, "expected RTEMS_INVALID_SIZE");
 
Index: testsuites/sptests/sp16/sp16.scn
===================================================================
--- testsuites/sptests/sp16/sp16.scn	(revision 3d2bf71da0b60faa35034580dc4fd53948f63f53)
+++ testsuites/sptests/sp16/sp16.scn	(revision 6a5990e4fd014c4b94b38d8e59720ac3dbe8b5b8)
@@ -1,27 +1,27 @@
 *** TEST 16 ***
-TA1 - rtems_region_ident - rnid => 32010002
+TA1 - rtems_region_ident - rnid => 32010001
 TA1 - rtems_region_get_segment - wait on 100 byte segment from region 2
-TA1 - got segment from region 2 - 0x00000f78
+TA1 - got segment from region 2 - 0x00000060
 TA1 - rtems_region_get_segment - wait on 3K segment from region 3
-TA1 - got segment from region 3 - 0x000003f8
+TA1 - got segment from region 3 - 0x00000030
 TA1 - rtems_region_get_segment - get 3080 byte segment from region 1 - NO_WAIT
-TA1 - got segment from region 1 - 0x00000378
+TA1 - got segment from region 1 - 0x00000010
 TA1 - rtems_task_wake_after - yield processor
 TA2 - rtems_region_get_segment - wait on 2K segment from region 1
-TA3 - rtems_region_get_segment - wait on 3968 byte segment from region 2
+TA3 - rtems_region_get_segment - wait on 3950 byte segment from region 2
 <pause>
-TA1 - rtems_region_return_segment - return segment to region 1 - 0x00000378
+TA1 - rtems_region_return_segment - return segment to region 1 - 0x00000010
 TA1 - rtems_region_get_segment - wait 10 seconds for 3K segment from region 1
-TA2 - got segment from region 1 - 0x000007f8
-TA2 - rtems_region_return_segment - return segment to region 1 - 0x000007f8
+TA2 - got segment from region 1 - 0x00000010
+TA2 - rtems_region_return_segment - return segment to region 1 - 0x00000010
 TA2 - rtems_task_set_priority - make self highest priority task
-TA2 - rtems_region_get_segment - wait on 3968 byte segment
-TA1 - got segment from region 1 - 0x000003f8
-TA1 - rtems_region_return_segment - return segment to region 2 - 0x00000f78
-TA2 - got segment from region 2 - 0x00000008
-TA2 - rtems_region_return_segment - return segment to region 2 - 0x00000008
+TA2 - rtems_region_get_segment - wait on 3950 byte segment
+TA1 - got segment from region 1 - 0x00000010
+TA1 - rtems_region_return_segment - return segment to region 2 - 0x00000060
+TA2 - got segment from region 2 - 0x00000060
+TA2 - rtems_region_return_segment - return segment to region 2 - 0x00000060
 TA2 - rtems_task_delete - delete self
 TA1 - rtems_task_wake_after - yield processor
-TA3 - got segment from region 2 - 0x00000008
+TA3 - got segment from region 2 - 0x00000060
 TA3 - rtems_region_get_segment - wait on 2K segment from region 3
 TA1 - rtems_task_delete - delete TA3
@@ -30,29 +30,29 @@
 TA4 - rtems_region_get_segment - wait on 1.5K segment from region 1
 TA5 - rtems_region_get_segment - wait on 1.5K segment from region 1
-TA1 - rtems_region_return_segment - return segment to region 1 - 0x000003f8
+TA1 - rtems_region_return_segment - return segment to region 1 - 0x00000010
 TA1 - rtems_task_wake_after - yield processor
-TA4 - got and returned 0x000009f8
-TA5 - got and returned 0x000003f0
+TA4 - got and returned 0x00000010
+TA5 - got and returned 0x00000690
 TA1 - rtems_region_get_segment - wait 10 seconds for 3K segment from region 1
-TA1 - got segment from region 1 - 0x000003f8
+TA1 - got segment from region 1 - 0x00000010
 TA1 - rtems_task_wake_after - yield processor
+TA5 - rtems_region_get_segment - wait on 3K segment from region 1
 TA4 - rtems_region_get_segment - wait on 3K segment from region 1
-TA5 - rtems_region_get_segment - wait on 3K segment from region 1
 TA1 - rtems_task_delete - delete TA4
-TA1 - rtems_region_return_segment - return segment to region 1 - 0x000003f8
+TA1 - rtems_region_return_segment - return segment to region 1 - 0x00000010
 TA1 - rtems_task_wake_after - yield processor
-TA5 - got segment from region 1 - 0x000003f8
-TA5 - rtems_region_return_segment - return segment to region 1 - 0x000003f8
+TA5 - got segment from region 1 - 0x00000010
+TA5 - rtems_region_return_segment - return segment to region 1 - 0x00000010
 TA5 - rtems_task_delete - delete self
 TA1 - rtems_region_delete - delete region 1
 TA1 - rtems_region_get_segment - get 3K segment from region 4
-TA1 - got segment from region 4 - 0x000003f8
+TA1 - got segment from region 4 - 0x00000060
 TA1 - rtems_region_get_segment - attempt to get 3K segment from region 4
 TA1 - rtems_task_get_note - RTEMS_UNSATISFIED
 TA1 - rtems_region_extend - extend region 4 by 4K
 TA1 - rtems_region_get_segment - attempt to get 3K segment from region 4
-TA1 - got 3K segment from region 4 - 0x00001400
-TA1 - rtems_region_return_segment - return segment to region 4 - 0x000003f8
-TA1 - rtems_region_return_segment - return segment to region 4 - 0x00001400
+TA1 - got 3K segment from region 4 - 0x00000ce0
+TA1 - rtems_region_return_segment - return segment to region 4 - 0x00000060
+TA1 - rtems_region_return_segment - return segment to region 4 - 0x00000ce0
 TA1 - rtems_region_delete - delete region 4
 *** END OF TEST 16 ***
